zesty unable to handle kernel NULL pointer dereference

Bug #1680904 reported by Greg Lutostanski on 2017-04-07
348
This bug affects 76 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Critical
linux (Ubuntu)
High
Joseph Salisbury
Zesty
High
Joseph Salisbury
linux-hwe (Ubuntu)
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

Upgraded to zesty about a week ago. Ran into this on latest kernel. (during high load, nothing in particular seems to cause it to happen).

Did not happen with previous (4.10.0.14.16) kernel. Only after update to 4.10.0.15.17, has happened about 3 times since then (or other crashes), this is the one I could capture.

kern.log entries below. Let me know if you need anything else from me.

Thanks!

Apr 7 11:20:28 doe kernel: [26003.796278] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Apr 7 11:20:28 doe kernel: [26003.796375] IP: gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915]
Apr 7 11:20:28 doe kernel: [26003.796404] PGD 0
Apr 7 11:20:28 doe kernel: [26003.796405]
Apr 7 11:20:28 doe kernel: [26003.796427] Oops: 0002 [#1] SMP
Apr 7 11:20:28 doe kernel: [26003.796441] Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl scsi_transport_iscsi binfmt_misc veth ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_CHECKSUM xt_comment xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_filter ccm rfcomm bridge stp llc cmac bnep zfs(PO) zunicode(PO) zavl(PO) zcommon(PO) znvpair(PO) spl(O) nls_iso8859_1 hid_multitouch joydev i2c_designware_platform i2c_designware_core snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_realtek snd_hda_ext_core snd_soc_sst_match snd_hda_codec_generic snd_soc_core snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel snd_hda_codec snd_hda_core asus_nb_wmi
Apr 7 11:20:28 doe kernel: [26003.796722] snd_hwdep asus_wmi sparse_keymap snd_pcm arc4 snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device iwlmvm snd_timer mac80211 intel_rapl x86_pkg_temp_thermal snd intel_powerclamp uvcvideo coretemp kvm_intel iwlwifi videobuf2_vmalloc kvm videobuf2_memops irqbypass videobuf2_v4l2 intel_cstate videobuf2_core intel_rapl_perf cfg80211 videodev input_leds serio_raw media shpchp soundcore btusb btrtl hci_uart btbcm elan_i2c btqca btintel acpi_als int3403_thermal bluetooth kfifo_buf industrialio mac_hid idma64 mei_me virt_dma intel_pch_thermal acpi_pad int3400_thermal intel_lpss_pci int3402_thermal mei intel_lpss_acpi acpi_thermal_rel processor_thermal_device intel_lpss tpm_crb int340x_thermal_zone int3406_thermal intel_soc_dts_iosf asus_wireless parport_pc ppdev lp parport ip_tables
Apr 7 11:20:28 doe kernel: [26003.797026] x_tables autofs4 algif_skcipher af_alg dm_crypt crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc i915 aesni_intel aes_x86_64 crypto_simd glue_helper cryptd i2c_algo_bit drm_kms_helper syscopyarea sysfillrect ahci sysimgblt libahci fb_sys_fops drm wmi i2c_hid hid pinctrl_sunrisepoint video pinctrl_intel fjes
Apr 7 11:20:28 doe kernel: [26003.797142] CPU: 0 PID: 8418 Comm: chromium-browse Tainted: P O 4.10.0-15-generic #17-Ubuntu
Apr 7 11:20:28 doe kernel: [26003.797175] Hardware name: ASUSTeK COMPUTER INC. UX305CA/UX305CA, BIOS UX305CA.201 09/11/2015
Apr 7 11:20:28 doe kernel: [26003.797206] task: ffff9bbaa201dc00 task.stack: ffffc25b5ea8c000
Apr 7 11:20:28 doe kernel: [26003.797250] RIP: 0010:gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915]
Apr 7 11:20:28 doe kernel: [26003.797279] RSP: 0018:ffffc25b5ea8f880 EFLAGS: 00010246
Apr 7 11:20:28 doe kernel: [26003.797299] RAX: ffff9bba689be580 RBX: 0000000000000003 RCX: 0000000000000003
Apr 7 11:20:28 doe kernel: [26003.797325] RDX: 0000000000000000 RSI: ffff9bbae7c0a000 RDI: ffff9bbba0418000
Apr 7 11:20:28 doe kernel: [26003.797351] RBP: ffffc25b5ea8f8d8 R08: 0000000000000000 R09: 0000000000000000
Apr 7 11:20:28 doe kernel: [26003.797378] R10: 0000000000000000 R11: 0000000000000041 R12: ffff9bbb5f00a000
Apr 7 11:20:28 doe kernel: [26003.797405] R13: ffff9bbba932bb10 R14: 00000000fff97000 R15: 0000000000008000
Apr 7 11:20:28 doe kernel: [26003.797440] FS: 00007f70bd1df6c0(0000) GS:ffff9bbbb3c00000(0000) knlGS:0000000000000000
Apr 7 11:20:28 doe kernel: [26003.797470] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Apr 7 11:20:28 doe kernel: [26003.797497] CR2: 0000000000000018 CR3: 0000000169420000 CR4: 00000000003406f0
Apr 7 11:20:28 doe kernel: [26003.797523] Call Trace:
Apr 7 11:20:28 doe kernel: [26003.797553] gen8_alloc_va_range_3lvl+0xfb/0x9e0 [i915]
Apr 7 11:20:28 doe kernel: [26003.797576] ? __alloc_pages_nodemask+0x209/0x260
Apr 7 11:20:28 doe kernel: [26003.797610] gen8_alloc_va_range+0x23d/0x470 [i915]
Apr 7 11:20:28 doe kernel: [26003.797648] i915_vma_bind+0x7e/0x170 [i915]
Apr 7 11:20:28 doe kernel: [26003.797683] __i915_vma_do_pin+0x2a5/0x450 [i915]
Apr 7 11:20:28 doe kernel: [26003.797720] i915_gem_execbuffer_reserve_vma.isra.31+0x144/0x1b0 [i915]
Apr 7 11:20:28 doe kernel: [26003.797761] i915_gem_execbuffer_reserve.isra.32+0x39e/0x3d0 [i915]
Apr 7 11:20:28 doe kernel: [26003.797800] i915_gem_do_execbuffer.isra.38+0x4a2/0x1750 [i915]
Apr 7 11:20:28 doe kernel: [26003.797824] ? radix_tree_lookup_slot+0x22/0x50
Apr 7 11:20:28 doe kernel: [26003.797846] ? shmem_getpage_gfp+0xf9/0xc10
Apr 7 11:20:28 doe kernel: [26003.797881] i915_gem_execbuffer2+0xa1/0x1e0 [i915]
Apr 7 11:20:28 doe kernel: [26003.797917] drm_ioctl+0x21b/0x4c0 [drm]
Apr 7 11:20:28 doe kernel: [26003.797948] ? i915_gem_execbuffer+0x310/0x310 [i915]
Apr 7 11:20:28 doe kernel: [26003.797969] ? __seccomp_filter+0x67/0x250
Apr 7 11:20:28 doe kernel: [26003.797990] do_vfs_ioctl+0xa3/0x610
Apr 7 11:20:28 doe kernel: [26003.798012] ? __secure_computing+0x3f/0xd0
Apr 7 11:20:28 doe kernel: [26003.798039] ? syscall_trace_enter+0xcd/0x2e0
Apr 7 11:20:28 doe kernel: [26003.798064] SyS_ioctl+0x79/0x90
Apr 7 11:20:28 doe kernel: [26003.798085] do_syscall_64+0x5b/0xc0
Apr 7 11:20:28 doe kernel: [26003.798102] entry_SYSCALL64_slow_path+0x25/0x25
Apr 7 11:20:28 doe kernel: [26003.798120] RIP: 0033:0x7f70a7aa7907
Apr 7 11:20:28 doe kernel: [26003.798135] RSP: 002b:00007ffe44fb4878 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Apr 7 11:20:28 doe kernel: [26003.798163] RAX: ffffffffffffffda RBX: 0000559898103980 RCX: 00007f70a7aa7907
Apr 7 11:20:28 doe kernel: [26003.798188] RDX: 00007ffe44fb48c0 RSI: 00000000c0406469 RDI: 00000000000000ef
Apr 7 11:20:28 doe kernel: [26003.798214] RBP: 00007ffe44fb48c0 R08: 0000000000000000 R09: 0000000000000000
Apr 7 11:20:28 doe kernel: [26003.798240] R10: 0000000000000050 R11: 0000000000000246 R12: 00000000c0406469
Apr 7 11:20:28 doe kernel: [26003.798266] R13: 00000000000000ef R14: 0000000000000000 R15: 0000000000000000
Apr 7 11:20:28 doe kernel: [26003.798293] Code: e6 48 8b 90 20 03 00 00 48 8b b8 d8 02 00 00 48 8b 52 08 48 83 ca 03 e8 ca cd ff ff 48 8b 45 b0 48 8b 4d c8 48 8b 10 48 8b 45 d0 <4c> 89 24 ca 48 0f ab 08 0f 1f 44 00 00 e9 53 ffff ff 65 8b 05
Apr 7 11:20:28 doe kernel: [26003.798399] RIP: gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915] RSP: ffffc25b5ea8f880
Apr 7 11:20:28 doe kernel: [26003.798435] CR2: 0000000000000018
Apr 7 11:20:28 doe kernel: [26003.826121] ---[ end trace 667fce1b2de2d471 ]---

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: linux-image-4.10.0-15-generic 4.10.0-15.17
ProcVersionSignature: Ubuntu 4.10.0-15.17-generic 4.10.5
Uname: Linux 4.10.0-15-generic x86_64
NonfreeKernelModules: zfs zunicode zavl zcommon znvpair
ApportVersion: 2.20.4-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lutostag 3280 F.... pulseaudio
CurrentDesktop: Unity:Unity7
Date: Fri Apr 7 11:30:42 2017
HibernationDevice: RESUME=UUID=f32bc2f0-9063-4554-8204-936f2f51ffb3
InstallationDate: Installed on 2016-09-20 (199 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 8087:0a2a Intel Corp.
 Bus 001 Device 002: ID 0bda:57cb Realtek Semiconductor Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX305CA
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-15-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-15-generic N/A
 linux-backports-modules-4.10.0-15-generic N/A
 linux-firmware 1.164
SourcePackage: linux
UpgradeStatus: Upgraded to zesty on 2017-03-27 (10 days ago)
dmi.bios.date: 09/11/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX305CA.201
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX305CA
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX305CA.201:bd09/11/2015:svnASUSTeKCOMPUTERINC.:pnUX305CA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX305CA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: UX305CA
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Greg Lutostanski (lutostag) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Do you have a way to reproduce this bug?

If so, would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc6

Greg Lutostanski (lutostag) wrote :

Unable to reproduce unfortunately. In fact it has not reoccurred, since I filed this bug. Will reopen if it happens again, but I am moving to the more recent released kernel... 4.10.0-15 -> 4.10.0-19.

Not sure what status to mark this bug as until I can get a repro of it.

Greg Lutostanski (lutostag) wrote :

Speak of the devil... happened again on, will try with upstream kernel.

Linux doe 4.10.0-19-generic #21-Ubuntu SMP Thu Apr 6 17:04:57 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Greg Lutostanski (lutostag) wrote :

Only time I have been able to cause it was high load with lxcs and graphics load (via unity). The mainline does not seem to let my lxd instance load.

Unfortunately my lxd setup does not work with the mainline, [due to snaps/lxd/zfs, one of the above probably](so it will make repro much harder, and stop me from actual work) so I don't think I'll be able to hit it again...

If I can get the above to repro at some later date I will let you know.

Dave O (cxreg) wrote :

This looks like Redhat's bug for this same issue

https://bugzilla.redhat.com/show_bug.cgi?id=1441906

and it refers to an upstream fix

https://bugs.freedesktop.org/show_bug.cgi?id=100516

and also a workaround

https://bugs.freedesktop.org/show_bug.cgi?id=99295#c22

Greg Lutostanski (lutostag) wrote :

Good find cxreg!

Indeed does look the same, happens when I am running chromium, cxreg found bug happens in Chrome. So some path with the i915 there does appear to be flaky.

Workaround seems to not be super effective given post https://bugs.freedesktop.org/show_bug.cgi?id=99295#c27 unfortunately.

But good to know there is some progress going into the 4.12 queue.

Sam Van den Eynde (samvde) wrote :

I have this issue and can provide logs if needed. Kernel 4.10.0-20-generic on Zesty. Very, very nasty bug causing very frequent hard crashes. I think the importance ought to be raised on this.

Sam Van den Eynde (samvde) wrote :

I have implemented the workaround from #7 (https://bugs.freedesktop.org/show_bug.cgi?id=99295#c22) using the attached patchfile on kernel 4.10.0-20.

My system crashed consistently when doing a resource heavy export job on a VirtualBox Windows 10 guest. First try after patching this no longer is the case.

Steps taken to build and install the kernel:

cd /working/directory
apt build-dep linux-image-$(uname -r)
apt source linux-image-$(uname -r)
cd linux-4.10.0/
patch -p1 < /your/patchfile/location/patchfile
debian/rules startnewrelease
fakeroot debian/rules clean
fakeroot debian/rules binary-headers binary-generic binary-perarch
cd ..
apt install $PWD/linux-[hit]*21.23*deb

tags: added: patch
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Medium
Sam Van den Eynde (samvde) wrote :

After a few days of using the patched kernel: the patch is not a 100% fix.

Sam Van den Eynde (samvde) wrote :

So experiencing several crashes a day (hard lock) I decided to install the HWE 4.8 kernel using the Xenial deb files. No more lock ups have occured since.

This seems to me an extremely critical issue at the heart of the OS. I would have expected more visibility on this TBH.

Joseph Salisbury (jsalisbury) wrote :

It looks like the patch from Chris Wilson has not landed in mainline yet. However, I'd like to see if this issue still occurs in v4.12-rc1, which is current mainline. If it does, I'll submit the patch upstream for Chris and SRU it to Ubuntu.

The 4.12-rc1 kernel can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc1/

Changed in linux (Ubuntu):
importance: Medium → High
Changed in linux (Ubuntu Zesty):
importance: Medium → High
Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in linux (Ubuntu Zesty):
status: Triaged → In Progress
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Zesty):
assignee: nobody → Joseph Salisbury (jsalisbury)

Just experienced this on kernal 4.10.0-21 while running Chrome (not chromium).

I've experienced apparently random freezes on 17.04 (kernel 4.10.0-21). It appears to happen when Chrome is active, although Chrome is probably active all the time. There's nothing out of the ordinary in kern.log, but syslog has:

May 23 12:44:34 thornback unity-panel-ser[2612]: menus_destroyed: assertion 'IS_WINDOW_MENU(wm)' failed
May 23 12:44:34 thornback compiz[2603]: WARN 2017-05-23 12:44:34 unity.glib.dbus.proxy GLibDBusProxy.cpp:487 Calling method "EmitEvent" on object path: "/com/ubuntu/Upstart" failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.Unity.Test.Upstart was not provided by any .service files
May 23 12:44:34 thornback systemd[2058]: Stopped target A target that, when running, represents the screen being locked.
May 23 12:44:34 thornback systemd[2058]: Stopping Backing Service for the Unity Panel in Lockscreen mode...
May 23 12:44:35 thornback systemd[2058]: Stopped Backing Service for the Unity Panel in Lockscreen mode.
May 23 12:44:37 thornback systemd-resolved[1197]: Grace period over, resuming full feature set (UDP+EDNS0+DO+LARGE) for DNS server 192.168.0.254.
May 23 12:44:37 thornback systemd-resolved[1197]: Using degraded feature set (UDP) for DNS server 192.168.0.254.
May 23 12:44:37 thornback compiz[2603]: [4773:4773:0523/124437.777470:ERROR:gpu_child_thread.cc(324)] Exiting GPU process due to errors during initialization

I also notice that there are a number of lines containing:
compiz[2237]: [1:1:0522/101734.457030:ERROR:KeyboardEventManager.cpp(427)] Not implemented reached in static bool blink::KeyboardEventManager::currentCapsLockState()

s.illes79 (s-illes79-gmail) wrote :

With Linux XPS13 4.8.0-46-generic:

09:24:36 up 25 days, 10:33, 10 users, load average: 3.49, 2.40, 1.91

4.8.X is super stable, this is on a work laptop with high load.

Every time it has locked up I've been scrolling in chrome.

[28680.993697] CPU: 2 PID: 4930 Comm: chrome Tainted: G OE 4.10.0-20-generic #22-Ubuntu
[28680.993718] Hardware name: Dell Inc. Latitude E7450, BIOS A07 09/01/2015

As an experiment I've disabled hardware acceleration in chrome since all the traces show the drm module (Direct Rendering Module which is in charge of hardware acceleration).

I've been running like this for two weeks with no lockups.

I don't use compiz - I just use plain XFCE so no OpenGL needed for my desktop hopefully.

PedroHC (pedrocerezo) wrote :

I have a similar problem, plug the mobil to the usb and the PC frozen:

Kernel: 4.10.0-21-generic

May 29 12:15:37 roal kernel: [13126.330476] usb 2-1: new high-speed USB device number 3 using ehci-pci
May 29 12:15:37 roal kernel: [13126.479378] usb 2-1: New USB device found, idVendor=22b8, idProduct=2e82
May 29 12:15:37 roal kernel: [13126.479391] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 29 12:15:37 roal kernel: [13126.479398] usb 2-1: Product: XT1562
May 29 12:15:37 roal kernel: [13126.479403] usb 2-1: Manufacturer: motorola
May 29 12:15:37 roal kernel: [13126.479408] usb 2-1: SerialNumber: Z***MZ
May 29 12:15:37 roal kernel: [13126.546640] [UFW BLOCK] IN=enp0s10 OUT= MAC= SRC=fe80:0000:0000:0000:1a54:8c81:4366:67ff DST=ff02:0000:0000:0000:0000:0000:0000:0001 LEN=64 TC=0 HOPLIMIT=1 FLOWLBL=338319 PROTO=UDP SPT=8612 DPT=8612 LEN=24
May 29 12:15:37 roal kernel: [13126.546657] [UFW BLOCK] IN=enp0s10 OUT= MAC= SRC=fe80:0000:0000:0000:1a54:8c81:4366:67ff DST=ff02:0000:0000:0000:0000:0000:0000:0001 LEN=64 TC=0 HOPLIMIT=1 FLOWLBL=185378 PROTO=UDP SPT=8612 DPT=8610 LEN=24
May 29 12:15:37 roal kernel: [13126.556808] [UFW BLOCK] IN=enp0s10 OUT= MAC= SRC=fe80:0000:0000:0000:1a54:8c81:4366:67ff DST=ff02:0000:0000:0000:0000:0000:0000:0001 LEN=64 TC=0 HOPLIMIT=1 FLOWLBL=338319 PROTO=UDP SPT=8612 DPT=8612 LEN=24
May 29 12:15:37 roal kernel: [13126.556826] [UFW BLOCK] IN=enp0s10 OUT= MAC= SRC=fe80:0000:0000:0000:1a54:8c81:4366:67ff DST=ff02:0000:0000:0000:0000:0000:0000:0001 LEN=64 TC=0 HOPLIMIT=1 FLOWLBL=185378 PROTO=UDP SPT=8612 DPT=8610 LEN=24
May 29 12:19:23 roal kernel: [13352.534728] BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
May 29 12:19:23 roal kernel: [13352.535958] IP: dma_fence_wait_timeout+0x36/0xf0
May 29 12:19:23 roal kernel: [13352.537127] PGD 0
May 29 12:19:23 roal kernel: [13352.537129]
May 29 12:19:23 roal kernel: [13352.539448] Oops: 0000 [#3] SMP
May 29 12:19:23 roal kernel: [13352.540617] Modules linked in: rfcomm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) cmac bnep snd_hda_codec_hdmi binfmt_misc snd_hda_codec_via snd_hda_codec_generic input_leds btusb btrtl btbcm btintel bluetooth edac_mce_amd edac_core kvm_amd kvm snd_hda_intel snd_hda_codec k10temp snd_hda_core snd_hwdep snd_pcm irqbypass serio_raw snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq shpchp snd_seq_device snd_timer snd soundcore i2c_nforce2 asus_atk0110 mac_hid ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_tcpudp xt_addrtype nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast parport_pc nf_nat_ftp ppdev nf_nat
May 29 12:19:23 roal kernel: [13352.545655] libcrc32c nf_conntrack_ftp nf_conntrack lp iptable_filter parport ip_tables x_tables autofs4 hid_generic usbhid hid pata_acpi nouveau mxm_wmi i2c_algo_bit ttm drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm psmouse forcedeth ahci libahci pata_amd video fjes wmi

Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug please test the v4.12-rc3 kernel? It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc3

Jonas Schwabe (jonas-schwabe) wrote :

I'm running on a custom kernel since this bug occurred to me a few weeks ago. This was actually before the first rc (next branch) I'm therfore not 100% sure if it got merged or not. I will build a new kernel 12 RC tomorrow and report back (I can't use the upstream ppa versions as it lacks aufs).

Sam Van den Eynde (samvde) wrote :

I need zfs and it fails on the proprietary nvidia driver too. I'll see if I can get it running.

pdecat (pdecat) wrote :
Download full text (5.2 KiB)

Same issue with generic variant from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2017-06-01/ this morning.

Also tried to select recovery mode in grub, no better: I only get a black console screen with a blinking cursor in the upper left.

No error message, nothing in the logs.

FWIW, here's the very beginning of dmesg with zesty's standard kernel:

```
[ 0.000000] Linux version 4.10.0-22-generic (buildd@lcy01-08) (gcc version 6.3.0 20170406 (Ubuntu 6.3.0-12ubuntu2) ) #24-Ubuntu SMP Mon May 22 17:43:20 UTC 2017 (Ubuntu 4.10.0-22.24-generic 4.10.15)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.10.0-22-generic root=UUID=5f1b119b-2beb-4d5b-aabf-606390f6d767 ro
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[ 0.000000] x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]: 256
[ 0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009d3ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009d400-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000c367efff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000c367f000-0x00000000dae91fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000dae92000-0x00000000daebbfff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000daebc000-0x00000000db7f3fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000db7f4000-0x00000000dbafefff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000dd000000-0x00000000df7fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed00000-0x0...

Read more...

s.illes79 (s-illes79-gmail) wrote :

v4.12-rc3 works for me, had it in the last 3 days, no crash. Dell XPS 13 9350 ...

bp (badpazzword) wrote :

> I just tried and my Dell XPS 13 9343 does not boot (hangs with a blank screen right after kernel selection in grub) with generic variants from:
>
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc3

I can replicate this. Dell Latitude E7250.

pdecat (pdecat) wrote :

For those like me that fail booting 4.12rc3 but had no issue with previous builds, this looks like a interesting trail: https://bugs.launchpad.net/linux/+bug/1694561

PabloAB (pabloab777) wrote :

Having this issue with Asus UX303UB, kernel 4.11.3 64 bits, Ubuntu 16.04.
Might be related to [this systemd kbus bug](https://github.com/systemd/systemd/issues/378).

pdecat (pdecat) wrote :

Dell XPS 13 9343 running fine with https://patchwork.freedesktop.org/patch/158340/ applied on top of Ubuntu-4.10.0-22.24.

Got the hint from https://bugs.freedesktop.org/show_bug.cgi?id=99295#c53

Niklas Sombert (ytvwld) wrote :

I'm experiencing the same issue for a while now. I think it occurred after I upgraded form Yakkety to Zesty.

I'm currently on 4.10.0-21-generic.

I think the issue is more likely to happen when I run CPU and / or RAM intensive applications.

If this happens, all my screens are stuck.

s.illes79 (s-illes79-gmail) wrote :

has this been backported to 4.10 yet?

so far so go 4.10.0-22-generic is. maybe because I stopped using chrome and use firefox instead?

2 days uptime and no crash

Mark van Beek (flipvb) wrote :

I'm running 4.10.0-22-generic and it is still crashing (at least 2 to 5 times a day) (not only when running chrome, a couple of other applications also cause this kernel panic to happen which completely makes ubuntu (and any other linux distro on 4.10/4.11) unusable for work @the moment...

I hope somebody can/will fix(/backport) this soon since I might have to resort to using OSX or Windows to actually get some work done :( (and a blame to the freedesktop kernel dev's for not backporting this asap into mainline, this affects almost every user on 4.10/4.11 kernels and should be fixed upstream)

s.illes79 (s-illes79-gmail) wrote :

just install 4.8-X from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.17/

but yeah I agree this should have been fix long time ago. there is even a backport for 4.10 this has to go into the ubuntu kernel

what takes so much time i donno

Niklas Sombert (ytvwld) wrote :

This is relatively hard to reproduce. It happens sometimes directly after boot and login, sometimes after more than a week uptime.

I've simply selected an older kernel at boot (4.8.0-46-generic; the newest one I had installed from Yakkety) and I didn't experience a crash, yet.

Download full text (9.9 KiB)

I am having this issue on Xubuntu Xenial with the linux-generic-hwe-16.04-edge kernel. It happened once a long time ago, but now it is happening again. This bug happens when the system is under load and more graphical load is demanded. On my specific case, when my system is already under some load and then I open a software which demands both high video memory (shared memory) and RAM memory, as games can do, then the system freezes.

I can see the memory usage increase while the software is loading, until the system completely freezes. To reboot, the two options are a hard reset or SysRq keys.

My computer is a Lenovo Ideapad 310, with a Intel Core i3-6100U, with a Intel HD Graphics 520 graphical chip. It has 4 GB of RAM and, when the bug happens, there is always heavy RAM usage. This bug never happened to me without high RAM usage.

This bug is not easy to reproduce, but with some tries while the system is under load it is possible to freeze the system.

Here is my log. I was watching a video on YouTube while I was chatting in Discord, with Steam opened and was loading the game Robocraft. Basically, heavy load. As the Robocraft loaded, it required both RAM and video memory, which weren't plentiful due to the other software's usage. Then it crashed.

Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.020383] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.020455] IP: gen8_ppgtt_alloc_page_directories.isra.38+0x124/0x270 [i915]
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.021756] PGD 1649d2067
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.021757] PUD 16c731067
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.023034] PMD 0
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.024842]
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.026857] Oops: 0002 [#1] SMP
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.027842] Modules linked in: ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 bridge stp llc ebtable_filter ebtables rfcomm bnep binfmt_misc nls_iso8859_1 arc4 rtsx_usb_ms memstick uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_soc_core snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc snd_pcm snd_seq_midi snd_seq_midi_event aesni_intel ath10k_pci ath10k_core aes_x86_64 crypto_simd glue_helper ath cryptd
Jun 9 22:00:54 usuario-Lenovo-ideapad-310-14ISK kernel: [16404.033493] snd_rawmidi mac80211 intel_cstate snd_seq snd_seq_device intel_rapl_perf snd_timer cfg80211 joydev input_leds snd serio_raw soundcore shpchp mei_me mei btusb intel_pch_thermal btrtl ucsi hci_uart btbcm btqca ideapad_laptop btintel sparse_keymap bluetooth kvm_intel kvm acpi_pad mac...

guus (guus-bloemsma) wrote :

I think I had the same problem on zesty. It started occurring AFTER I used nvidia-settings to switch to integrated intel graphics on a Dell XPS-15 9560 (GTX1050) and completely uninstalled nvidia drivers to get back to a working laptop.

Indeed it seems to happen while using chromium. My machine was nog completely crashed though, I could still ssh into it. But restarting X or even rebooting was impossible, I did need to force power off.

I installed the upstream kernel, to be precise: linux-image-4.12.0-041200rc3-generic_4.12.0-041200rc3.201705282131_amd64.deb

For about a day now the laptop is very stable and VERY cool. No fan noise and battery usage seems to be much better than ever before without nvidia drivers.

Can't wait to get this kernel fully supported.

Yuriy Vidineev (adeptg) wrote :
Download full text (7.4 KiB)

I have this bug on Dell XPS 13 9360 with Ubuntu 16.04 and 4.10.0-22-generic (installed as depend of linux-generic-hwe-16.04-edge).

Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671314] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671360] IP: gen8_ppgtt_alloc_page_directories.isra.38+0x124/0x270 [i915]
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671378] PGD 46428e067
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671379] PUD 45a436067
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671388] PMD 0
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671396]
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671409] Oops: 0002 [#1] SMP
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671419] Modules linked in: uas usb_storage ccm cmac arc4 nvram msr ath10k_pci ath10k_core ath mac80211 cfg80211 rfcomm cdc_ether usbnet snd_usb_audio snd_usbmidi_lib r8152 mii pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media btusb btrtl bnep nls_iso8859_1 hid_multitouch snd_hda_codec_hdmi dell_led i2c_designware_platform i2c_designware_core snd_soc_skl snd_soc_skl_ipc dell_wmi snd_soc_sst_ipc dm_crypt snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_hda_codec_realtek snd_soc_core snd_hda_codec_generic dell_laptop dell_smbios dcdbas snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_pcm coretemp
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671593] kvm_intel kvm snd_seq_midi snd_seq_midi_event irqbypass crct10dif_pclmul snd_rawmidi crc32_pclmul ghash_clmulni_intel pcbc snd_seq aesni_intel aes_x86_64 crypto_simd snd_seq_device glue_helper snd_timer cryptd snd input_leds joydev serio_raw soundcore rtsx_pci_ms memstick mei_me idma64 mei virt_dma processor_thermal_device shpchp intel_soc_dts_iosf intel_pch_thermal intel_lpss_pci hci_uart btbcm btqca soc_button_array intel_vbtn btintel intel_hid bluetooth intel_lpss_acpi intel_lpss int3403_thermal tpm_crb mac_hid int340x_thermal_zone int3400_thermal sparse_keymap acpi_thermal_rel acpi_pad acpi_als kfifo_buf industrialio parport_pc ppdev lp parport autofs4 btrfs xor raid6_pq hid_logitech_hidpp hid_logitech_dj hid_plantronics usbhid dm_mirror dm_region_hash dm_log rtsx_pci_sdmmc i915
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671768] i2c_algo_bit drm_kms_helper psmouse syscopyarea sysfillrect sysimgblt fb_sys_fops nvme drm rtsx_pci nvme_core i2c_hid wmi hid video fjes
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671805] CPU: 3 PID: 16658 Comm: skypeforlinux Tainted: G W OE 4.10.0-22-generic #24~16.04.1-Ubuntu
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671830] Hardware name: Dell Inc. XPS 13 9360/0839Y6, BIOS 1.3.5 05/08/2017
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671849] task: ffff9970b4215c00 task.stack: ffffb2f3c5294000
Jun 16 00:55:13 adept-XPS-13-9360 kernel: [155563.671877] RIP: 0010:gen8_ppgtt_alloc_page_directories.isra.38+0x124/0x270 [i915]
Jun 16 00:55:13 adept-XPS-13-9360 kerne...

Read more...

pdecat (pdecat) wrote :
Download full text (4.8 KiB)

Well, the patch I mentioned in comment #28 is not perfect, crashes still happen, just way less often (I achieved several days uptime while without the patch the crashed usually happened twice a day).

Today's crash with the patch on top of Ubuntu-4.10.0-23.25 tag:

Jun 16 12:21:15 patrickxps kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Jun 16 12:21:15 patrickxps kernel: IP: gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915]
Jun 16 12:21:15 patrickxps kernel: PGD 0
Jun 16 12:21:15 patrickxps kernel:
Jun 16 12:21:15 patrickxps kernel: Oops: 0002 [#1] SMP
Jun 16 12:21:15 patrickxps kernel: Modules linked in: ccm rfcomm xfrm_user xfrm_algo xt_addrtype br_netfilter overlay xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4
Jun 16 12:21:15 patrickxps kernel: videobuf2_v4l2 input_leds btusb joydev btrtl serio_raw btbcm videobuf2_core btintel bluetooth videodev media dell_led dell_smbios hid_multitouch dcdbas snd_soc_rt298 snd_s
Jun 16 12:21:15 patrickxps kernel: int3400_thermal kfifo_buf mei shpchp intel_soc_dts_iosf int3406_thermal acpi_thermal_rel int340x_thermal_zone intel_hid industrialio sparse_keymap mac_hid intel_smartconne
Jun 16 12:21:15 patrickxps kernel: CPU: 0 PID: 1675 Comm: Xorg Tainted: P W O 4.10.0-23-generic #25
Jun 16 12:21:15 patrickxps kernel: Hardware name: Dell Inc. XPS 13 9343/0310JH, BIOS A12 05/09/2017
Jun 16 12:21:15 patrickxps kernel: task: ffff9ddf0dec1680 task.stack: ffffc18303234000
Jun 16 12:21:15 patrickxps kernel: RIP: 0010:gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915]
Jun 16 12:21:15 patrickxps kernel: RSP: 0018:ffffc18303237880 EFLAGS: 00010246
Jun 16 12:21:15 patrickxps kernel: RAX: ffff9dde000c1b40 RBX: 0000000000000003 RCX: 0000000000000003
Jun 16 12:21:15 patrickxps kernel: RDX: 0000000000000000 RSI: ffff9ddf07747000 RDI: ffff9ddf0b3f0000
Jun 16 12:21:15 patrickxps kernel: RBP: ffffc183032378d8 R08: 0000000000000000 R09: 0000000000000000
Jun 16 12:21:15 patrickxps kernel: R10: 0000000000000000 R11: 0000000000000001 R12: ffff9dde001a2000
Jun 16 12:21:15 patrickxps kernel: R13: ffff9ddea3fb70d0 R14: 00000000fc73e000 R15: 0000000000010000
Jun 16 12:21:15 patrickxps kernel: FS: 00007fabaecbca40(0000) GS:ffff9ddf1f400000(0000) knlGS:0000000000000000
Jun 16 12:21:15 patrickxps kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 16 12:21:15 patrickxps kernel: CR2: 0000000000000018 CR3: 000000020fe66000 CR4: 00000000003406f0
Jun 16 12:21:15 patrickxps kernel: Call Trace:
Jun 16 12:21:15 patrickxps kernel: gen8_alloc_va_range_3lvl+0xfb/0x9e0 [i915]
Jun 16 12:21:15 patrickxps kernel: ? swiotlb_map_sg_attrs+0x49/0x110
Jun 16 12:21:15 patrickxps kernel: gen8_alloc_va_range+0x23d/0x470 [i915]
Jun 16 12:21:15 patrickxps kernel: i915_vma_bind+0x7e/0x170 [i915]
Jun 16 12:21:15 patrickxps kernel: __i915_vma_do_pin+0x2a5/0x450 [i915]
Jun 16 12:21:15 patrickxps kernel: i915_gem_execbuffer_reserve_vma.isra.31+0x144/0x1b0 [i915]
Jun 16 12:21:15 patrickxps kernel: i915_gem_execbuffer_reserve.isra.32+0x39e/0x3d0 [i915]
Jun 16 12:21:15 patrickxps kernel: i915_gem_do_execbuffer.isra.38+0x4ca/0x15c0 [i915...

Read more...

kolorafa (laulchpad-net) wrote :

I got the same error - it happens twice:

Kernel: 4.11.5-1-ARCH (upgrading now to 4.11.7, but i will try 4.12 RC)

[881346.853394] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
[881346.853465] IP: gen8_ppgtt_alloc_page_directories.isra.16+0xd9/0x280 [i915]

But it's like once a week, i notice that it only happens (but not always) when i get full memory and it starts to swap (and that's like once a week on 16GB of ram, it gets full because of those electron app that after a while use even 1.5GB/app, so periodically i restart them to maintain low (under 8GB) memory usage.

Before (but probably still) on KDE whenever i got my memory full the plasma will just totally freeze until some app doesn't crash with OOM, but that takes a while until the swap is filled up or i kill some apps from console/ssh.

And other apps (like music playback, ssh) still works after i915 crash.

s.illes79 (s-illes79-gmail) wrote :

just had this:
Jul 3 15:06:22 XPS13 kernel: [36225.817104] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
J

i was ok for a week, than opened chrome and boom.

Geoff McQueen (geoff-mcqueen) wrote :

FYI, 4.12 was released as stable yesterday, so I'm hoping the maintainers of Ubuntu/Fedora/etc have the patches ready for update in the next week or so and this problem will be a thing of the past!

s.illes79 (s-illes79-gmail) wrote :

I'm already on vanilla 4.12, no issues so far :)

s.illes79 (s-illes79-gmail) wrote :

just had a crash with 4.12 ... nothing in the log after reboot so cannot neither confirm nor deny this was the same crash :(

Nazar Gerasymchuk (troyan3) wrote :

I'm on 4.10.0-28 right now, and tried almost all kernels downto 4.10.0-19.

Most used case to face this bug is when I'm running VirtualBox and Chrome with lots of opened pages. Few times it happened to me when I open new tab in Chrome. I thought that its all about Chrome and absolutely switched to Firefox. Bug appeared less frequent, but quite stable -- at least twice a day.

Since the bug happens randomly it kills me each time, how can I help you? What kind of information is most helpful to catch the bug?

Matthias (matthias-opennomad) wrote :

For me it's always been chrome. After unchecking "use hardware acceleration when available" I've not had it hang again. This is going on 3 weeks now for me. Side effect is that some fancier websites generate some ugly artifacts temporarily at times.

Nazar Gerasymchuk (troyan3) wrote :

2Matthias As I mentioned, I've tried Firefox too. But got that bug few times.

Matthias (matthias-opennomad) wrote :

Agreed. I also saw it with firefox when I tried just swapping out the browser. I'm back to chrome and disabling hardware accelaration has been working for me so far. In the end I'd just really like to see this fixed.

Sam Van den Eynde (samvde) wrote :

I noticed the HWE kernel rolled from 4.8 to 4.10.0-27-generic, and I wondered if someone knows whether this bug was addressed in that?

Rex Tsai (chihchun) wrote :

There are two patches to address the issue, one for v4.11[1] which can be backported for 4.10 for zesty and current 4.11/master-next branch for artful. The other one has been landed in v4.12[2].

I assume the first patch[1] should be landed for zesty. I can not reproduce the issue on Lenovo Thinkpad X260 with the fix, anyone has the issue can download the prebuilt deb[3] for a test.

[1] https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=92220696d5d07525443d9280c08c498e77d0386c
[2] https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=dd19674bacba227ae5d3ce680cbc5668198894dc
[3] http://people.canonical.com/~chihchun/lp1680904/

Rex Tsai (chihchun) on 2017-07-22
tags: added: kernel-fixed-upstream
Sam Van den Eynde (samvde) wrote :

I was not expecting the 4.10 kernel to land in the HWE stack for LTS without seeing a fix here, so I am genuinely worried about the LTS+HWE stability now.

Can we get confirmation on the state of the HWE 4.10 kernel?

Nazar Gerasymchuk (troyan3) wrote :

@ Rex Tsai Thanks for prebuilt kernel. I've installed packages you provided via http://people.canonical.com/~chihchun/lp1680904/

Will try to test it for a while and write if I got any news/conclusions.

Michael Stucki (mstucki) wrote :

I'm a user of the linux-image-generic-hwe-16.04 package on Ubuntu 16.04. Until last weekend, I've never had this issue (using kernel 4.8.x) but today on 4.10.0-27-generic this happened twice to me!

If there's a fix for this issue then it should be merged into this release pretty quick...

Rex Tsai (chihchun) wrote :

@mstucki If you have time, please kindly verify the deb[1] solved your issue.

[1] http://people.canonical.com/~chihchun/lp1680904/

Sam Van den Eynde (samvde) wrote :

@chihchun does your build contain zfs modules?

Michael Stucki (mstucki) wrote :

@chihchun Thanks, but I'd like to build this on my own. Which patches did you add?

Rex Tsai (chihchun) wrote :

@samvde yes, the build include zfs. The deb is built with Ubuntu zesty kernel tree with the cherry-picked patch.

@mstucki you can cherry pick 1933a35[1] or Chris Wilson's patch[2].

[1] https://patchwork.kernel.org/patch/9789601/
[2] https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=92220696d5d07525443d9280c08c498e77d0386c

Sam Van den Eynde (samvde) wrote :

Ok, I'll give it a go.

Sam Van den Eynde (samvde) wrote :

I can now confirm this bug landed on the LTS HWE kernel.

Honestly, I get Ubuntu for free (well I support them but by no means this is comparable to certain other license schemes out there) but I have never been so disappointed. All my systems are now at risk. I don't know who does QA at Canonical but this really, really sucks.

Downloading debs above for the manual route and crossing my fingers.

Olaf Mertens (olafmertens) wrote :

I can also confirm this bug with Ubuntu 16.04 and kernel 4.10.0-27-generic on a Dell XPS 13 from 2015.

I had a system freeze yesterday and today. In the months before I never experienced any problems despite heavy swapping.

Sam Van den Eynde (samvde) wrote :

I can consistently reproduce this issue doing a heavy mail export job in a VirtualBox guest I use for work.

Just having done first run after applying the deb files provided per comment 52, I was not able to reproduce the issue. Thank you @chihchun !

Canonical needs to apply these asap if they want to avoid a catastrophe among their LTS users.

s.illes79 (s-illes79-gmail) wrote :

this is ridicules, this bug was reported long time ago (2017-04-07), the patch was created long time ago and here we go.

I might need to abandon the Ubuntu ship and install openSuse or something else where bugs get fixed.

Nazar Gerasymchuk (troyan3) wrote :

I'm using debs from http://people.canonical.com/~chihchun/lp1680904/ since 2017-07-23 -- lots of heavy work, with VM running almost all time. No crashes happened yet.

Mark van Beek (flipvb) wrote :

I understand that people are *** off by this bug, but keep in mind this bug is not the fault of Canonical or any of the ubuntu developers, this bug actually is the result of the developers at freedesktop/intel pushing their broken code into the mainline kernel release and only (partially) fixing it for the latest (4.12) release (see: https://bugs.freedesktop.org/show_bug.cgi?id=99295).

I found that even with the patch(es) mentioned in the bugreport here and at freedesktop there are still freezes (though less often) (and even on 4.12 (ubuntu mainline) I still have freezes relating to the i915 kernel module) and they probably will also still occur when using CentOS, OpenSuse or any other Linux based distro with kernel 4.10+.

Instead of (non constructive and negatively voiced) reports here I suggest going to the source of the problem and complain there that it is unacceptable that such a major issue has not (yet) resulted in a full revert of the changes that caused it (or a proper fix for all affected kernel versions).

s.illes79 (s-illes79-gmail) wrote :

Believe me I already complied there, but nothing happened.

Just had this crash again ( after installing https://wiki.ubuntu.com/Kernel/CrashdumpRecipe )

[19537.273820] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
[19537.273892] IP: gen8_ppgtt_alloc_page_directories.isra.38+0x115/0x250 [i915]
...
[19537.274570] CPU: 1 PID: 8023 Comm: chrome Not tainted 4.10.0-28-generic #32-Ubuntu

chrome again :(

Sam Van den Eynde (samvde) wrote :

@flipvb

The main issue is not that this bug exists and that it is not the fault of Canonical. The issue is that the 16.04 stable HWE LTS stack rolled to 4.10 despite this bug being known and being critical, with 16.04.3 not even released yet.

Nazar Gerasymchuk (troyan3) wrote :

2 Rex Tsai (chihchun)

I've been using your patched kernel since 2017-07-23, but today I've got crash, and it seems quite similar (see attachment).

Rex Tsai (chihchun) wrote :

@Nazar Gerasymchuk (troyan3)
Could you provide the output of "uname -a" on your testing kernel? you might have installed the version from Ubuntu archive without the fix, but not the deb version I built.

Nazar Gerasymchuk (troyan3) wrote :

@Rex Tsai (chihchun)

It will be ridiculous...

$ uname -a
Linux tro-T460p 4.10.0-28-generic #32-Ubuntu SMP Fri Jun 30 05:32:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Rex Tsai (chihchun) wrote :

@Nazar Gerasymchuk (troyan3)
No, you are not using my version. mime is built at Sat Jul 22 12:39:20 UTC 2017.

s.illes79 (s-illes79-gmail) wrote :

I've been experimenting with 4.12.3-041203-generic, not crashes but sometimes the screen goes blank for 3 seconds, from syslog

Jul 27 14:50:45 XPS13 org.gnome.Shell.desktop[1986]: intel_do_flush_locked failed: Cannot allocate memory

it recovers nicely, no apps gets killed and nothing gets restarted ( other than gnome desktop ??? )

Sam Van den Eynde (samvde) wrote :

@chihchun

Out of interest: could you give the procedure how you build this (I've seen various recipes online)?

On my system, your debs are considered a lower version to the repositories that have 4.10.0-28 as well and will offer to "upgrade" it to the official ones every apt upgrade cycle.

So I guess a version bump would be the easiest way to fix this.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-hwe (Ubuntu Zesty):
status: New → Confirmed
Changed in linux-hwe (Ubuntu):
status: New → Confirmed
Matthias (matthias-opennomad) wrote :

@chichun I've tried installing you debs, but my uname keeps reflecting the Jun 30 date. I pull all the debs and install them with `sudo dpkg -i --force-overwrite *.deb`.

Is there some other magik incantation to force this?

Michael Stucki (mstucki) wrote :

@chihchun Actually I could not install your kernel on 16.04 without breaking dependencies. It requires binutils >= 2.29 (or 2.28, not sure if I remember correctly) but Ubuntu 16.04 only includes version 2.26. So I manually edited the config file in your archive to remove that restriction. I guess other users will be affected by this, too...

Nevertheless, your kernel (4.10.0-28-generic #32 SMP Sat Jul 22 12:39:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux) seems to fix the problem. At least I never had any additional crashes since then...

Sam Van den Eynde (samvde) wrote :

@matthias-opennomad

I use sudo apt install /directory-with-the-debs/*.deb. Use absolute paths for this.

It warns about downgrading, after which the install runs fine.

@mstucki

Are you running on HWE ?

Rex Tsai (chihchun) wrote :

@s-illes79-gmail New kernel may introduce regression or new issue, I don't think testing 4.12 is in the scope of this bug.
@mstucki You don't need linx*tools* packages.
@samvde Please follow the instruction on wiki[1]. You may have other ppa, apt-cache policy linux-image-4.10.0-28-generic can tell which one is newer than the testing deb.

The prebuilt deb is for testing only, I have proposed the SRU patch[2]

[1] https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel
[2] https://lists.ubuntu.com/archives/kernel-team/2017-July/085965.html

s.illes79 (s-illes79-gmail) wrote :

@Rex Normally we are asked to test the upstream kernel and I also gave up on ubuntu to fix 4.10.

Right now testing 4.11.12-041112-generic so far this seems to be ok

Rex Tsai (chihchun) wrote :

@s-illes79-gmail developers asked the end user to verify the upstream kernel, it's to identify if it's a regression or fixes have been landed. It helps when we don't know the patch or the root cause of the issue at the early stage.

We know the root cause and patch of this issue, and we also know the patch has been landed after 4.11.6.

4.10 for Ubuntu zesty and HWE kernel should be fixed in next cycle, once the Ubuntu kernel team accept the SRU patch.

Thanks for your feedback and contribution.

Michael Stucki (mstucki) wrote :

@chihchun Many thanks for your work on this issue!

Matthias (matthias-opennomad) wrote :

If anyone else is having the issue with running @chichun's kernels, it could be due to the efi.signed image taking precedence. On my Dell XPS 13 the default kernel that boots was `vmlinuz-4.10.0-28-generic.efi.signed`. I forced it to use `vmlinuz-4.10.0-28-generic` and am now running the patched kernel.

Brad Figg (brad-figg) wrote :

The fix for this issue will get committed to the appropriate Ubuntu kernel repositories this week and will be included in the next kernel SRU cycle. Kernels with this fix should be landing in -proposed next week.

Sam Van den Eynde (samvde) wrote :

@brad-figg Thanks, that's good to hear!

After enabling proposed updates, I see 4.10.0-30-generic is available. Does it already contain the fix?

Rex Tsai (chihchun) wrote :

@philipp-classen

4.10.0-30.34~16.04.1 is a release for CVE-2017-7533 only, it does not contain the patch.
The patch is not been applied in master-next of ubuntu-zesty kernel tree.

Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Sam Stenvall (negge) wrote :

Can someone comment here once a fix for the HWE kernel in Ubuntu 16.04 is available? I'm currently using one of the custom builds from earlier in this thread but I haven't yet been able to confirm whether it fixes the issue or not.

Michael Stucki (mstucki) wrote :

@negge The fix for Ubuntu 16.04 (linux-generic-hwe-16.04) has been merged and will be part of the next update (4.10.0-33.37).

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Sam Stenvall (negge) wrote :

Just installed the kernel from proposed, if I don't report back that means it works fine.

Michael Stucki (mstucki) wrote :

@kleber-souza It seems like the issue affects both Zesty and Xenial (when using the HWE stack). Does that mean that we need an additional tag "verification-done-xenial" or is it sufficient the way you write it above? Thanks for clarifying!

Sam Van den Eynde (samvde) wrote :

Can't reproduce the crash as described before (consistently failed on a heavy export job in virtualbox W10 guest).

tags: added: verification-done-zesty
removed: verification-needed-zesty
description: updated
Changed in linux:
importance: Unknown → Critical
status: Unknown → Fix Released
Sam Stenvall (negge) wrote :

FWIW the Xenial kernel from -proposed seems to work just fine too.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Ahmad Amr (aamr) wrote :
Download full text (6.6 KiB)

This bug affects me too.

@Sam Stenvall: How can I install the Xenial kernel from -proposed?

Aug 23 12:31:46 U571T kernel: [40284.307406] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
Aug 23 12:31:46 U571T kernel: [40284.307480] IP: gen8_ppgtt_alloc_page_directories.isra.38+0x124/0x270 [i915]
Aug 23 12:31:46 U571T kernel: [40284.307518] PGD 0
Aug 23 12:31:46 U571T kernel: [40284.307518]
Aug 23 12:31:46 U571T kernel: [40284.307542] Oops: 0002 [#1] SMP
Aug 23 12:31:46 U571T kernel: [40284.307558] Modules linked in: uas usb_storage snd_usb_audio snd_usbmidi_lib cdc_ether usbnet r8152 mii hid_generic ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink nfnetlink xfrm_user xfrm_algo iptable_nat nf_nat_ipv4 br_netfilter bridge stp llc aufs rfcomm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep binfmt_misc arc4 iwlmvm snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic mac80211 intel_rapl x86_pkg_temp_thermal snd_hda_intel intel_powerclamp snd_hda_codec coretemp kvm_intel snd_hda_core snd_hwdep kvm iwlwifi snd_pcm irqbypass intel_cstate intel_rapl_perf snd_seq_midi snd_seq_midi_event btusb cfg80211 btrtl btbcm btintel bluetooth thinkpad_acpi snd_rawmidi input_leds joydev serio_raw nvram intel_pch_thermal lpc_ich snd_seq snd_seq_device snd_timer
Aug 23 12:31:46 U571T kernel: [40284.307755] snd mei_me mac_hid mei shpchp soundcore ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_multiport xt_limit xt_tcpudp xt_addrtype nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat libcrc32c nf_conntrack_ftp nf_conntrack iptable_filter ip_tables parport_pc x_tables ppdev lp parport autofs4 algif_skcipher af_alg dm_crypt hid_logitech_hidpp hid_logitech_dj usbhid hid crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc i915 aesni_intel aes_x86_64 crypto_simd glue_helper cryptd i2c_algo_bit drm_kms_helper psmouse syscopyarea sysfillrect e1000e sysimgblt ahci fb_sys_fops libahci drm ptp pps_core wmi fjes
Aug 23 12:31:46 U571T kernel: [40284.307948] video
Aug 23 12:31:46 U571T kernel: [40284.307957] CPU: 1 PID: 19032 Comm: chrome Tainted: G OE 4.10.0-32-generic #36~16.04.1-Ubuntu
Aug 23 12:31:46 U571T kernel: [40284.307981] Hardware name: LENOVO 20BS0052AD/20BS0052AD, BIOS N14ET24W (1.02 ) 10/27/2014
Aug 23 12:31:46 U571T kernel: [40284.308003] task: ffff9868ed62ad00 task.stack: ffffb32449664000
Aug 23 12:31:46 U571T kernel: [40284.308037] RIP: 0010:gen8_ppgtt_alloc_page_directories.isra.38+0x124/0x270 [i915]
Aug 23 12:31:46 U571T kernel: [40284.308058] RSP: 0018:ffffb32449667878 EFLAGS: 00010246
Aug 23 12:31:46 U571T kernel: [40284.308073] RAX: ffff98679cbd4a40 RBX: 0000000000000003 RCX: 0000000000000003
Aug 23 12:31:46 U571T kernel: [40284.308092] RDX: 0000000000000000 RSI: ffff9868899c1000 RDI: ffff98691b7d0000
Aug 23 12:31:46 U571T kernel: [40284.308111] RBP: ffffb324496678d8 R08: 0000000000000018 R09: 0000000000000000
Aug 23 12:31:46 U571T kernel: [40284.308130] R10: 0000000000000000 R11: ffffd35...

Read more...

Sam Stenvall (negge) wrote :

Enable proposed updates from the "Software updater" application, install whatever updates you get, then disable proposed updates again.

Launchpad Janitor (janitor) wrote :
Download full text (8.5 KiB)

This bug was fixed in the package linux - 4.10.0-33.37

---------------
linux (4.10.0-33.37) zesty; urgency=low

  * linux: 4.10.0-33.37 -proposed tracker (LP: #1709303)

  * CVE-2017-1000112
    - Revert "udp: consistently apply ufo or fragmentation"
    - udp: consistently apply ufo or fragmentation

  * CVE-2017-1000111
    - Revert "net-packet: fix race in packet_set_ring on PACKET_RESERVE"
    - packet: fix tp_reserve race in packet_set_ring

  * ThunderX: soft lockup on 4.8+ kernels when running qemu-efi with vhost=on
    (LP: #1673564)
    - irqchip/gic-v3: Add missing system register definitions
    - arm64: KVM: Do not use stack-protector to compile EL2 code
    - KVM: arm/arm64: vgic-v3: Use PREbits to infer the number of ICH_APxRn_EL2
      registers
    - KVM: arm/arm64: vgic-v3: Fix nr_pre_bits bitfield extraction
    - arm64: Add a facility to turn an ESR syndrome into a sysreg encoding
    - KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2 registers
    - KVM: arm64: Make kvm_condition_valid32() accessible from EL2
    - KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg accesses at EL2
    - KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler
    - KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
    - KVM: arm64: Enable GICv3 Group-1 sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler
    - KVM: arm64: vgic-v3: Add misc Group-0 handlers
    - KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
    - KVM: arm64: Enable GICv3 Group-0 sysreg trapping via command-line
    - arm64: Add MIDR values for Cavium cn83XX SoCs
    - [Config] CONFIG_CAVIUM_ERRATUM_30115=y
    - arm64: Add workaround for Cavium Thunder erratum 30115
    - KVM: arm64: vgic-v3: Add ICV_DIR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_RPR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_CTLR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_PMR_EL1 handler
    - KVM: arm64: Enable GICv3 common sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Log which GICv3 system registers are trapped
    - arm64: KVM: Make unexpected reads from WO registers inject an undef
    - KVM: arm64: Log an error if trapping a read-from-write-only GICv3 access
    - KVM: arm64: Log an error if trapping a write-to-read-only GICv3 access

  * ibmvscsis: Do not send aborted task response (LP: #1689365)
    - target: Fix unknown fabric callback queue-full errors
    - ibmvscsis: Do not send aborted task response
    - ibmvscsis: Clear left-over abort_cmd pointers
    - ibmvscsis: Fix the incorrect req_lim_delta

  * hisi_sas performance improvements (LP: #1708734)
    - scsi: hisi_sas: define hisi_sas_device.device_id as int
    - scsi: hisi_sas: optimise the usage of hisi_hba.lock
    - scsi: hisi_sas: relocate sata_done_v2_hw()
    - scsi: hisi_sas: optimise DMA slot memory

  * hisi_sas...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (8.5 KiB)

This bug was fixed in the package linux-hwe - 4.10.0-33.37~16.04.1

---------------
linux-hwe (4.10.0-33.37~16.04.1) xenial; urgency=low

  * linux-hwe: 4.10.0-33.37~16.04.1 -proposed tracker (LP: #1709304)

  * linux: 4.10.0-33.37 -proposed tracker (LP: #1709303)

  * CVE-2017-1000112
    - Revert "udp: consistently apply ufo or fragmentation"
    - udp: consistently apply ufo or fragmentation

  * CVE-2017-1000111
    - Revert "net-packet: fix race in packet_set_ring on PACKET_RESERVE"
    - packet: fix tp_reserve race in packet_set_ring

  * ThunderX: soft lockup on 4.8+ kernels when running qemu-efi with vhost=on
    (LP: #1673564)
    - irqchip/gic-v3: Add missing system register definitions
    - arm64: KVM: Do not use stack-protector to compile EL2 code
    - KVM: arm/arm64: vgic-v3: Use PREbits to infer the number of ICH_APxRn_EL2
      registers
    - KVM: arm/arm64: vgic-v3: Fix nr_pre_bits bitfield extraction
    - arm64: Add a facility to turn an ESR syndrome into a sysreg encoding
    - KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2 registers
    - KVM: arm64: Make kvm_condition_valid32() accessible from EL2
    - KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg accesses at EL2
    - KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler
    - KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
    - KVM: arm64: Enable GICv3 Group-1 sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler
    - KVM: arm64: vgic-v3: Add misc Group-0 handlers
    - KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
    - KVM: arm64: Enable GICv3 Group-0 sysreg trapping via command-line
    - arm64: Add MIDR values for Cavium cn83XX SoCs
    - [Config] CONFIG_CAVIUM_ERRATUM_30115=y
    - arm64: Add workaround for Cavium Thunder erratum 30115
    - KVM: arm64: vgic-v3: Add ICV_DIR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_RPR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_CTLR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_PMR_EL1 handler
    - KVM: arm64: Enable GICv3 common sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Log which GICv3 system registers are trapped
    - arm64: KVM: Make unexpected reads from WO registers inject an undef
    - KVM: arm64: Log an error if trapping a read-from-write-only GICv3 access
    - KVM: arm64: Log an error if trapping a write-to-read-only GICv3 access

  * ibmvscsis: Do not send aborted task response (LP: #1689365)
    - target: Fix unknown fabric callback queue-full errors
    - ibmvscsis: Do not send aborted task response
    - ibmvscsis: Clear left-over abort_cmd pointers
    - ibmvscsis: Fix the incorrect req_lim_delta

  * hisi_sas performance improvements (LP: #1708734)
    - scsi: hisi_sas: define hisi_sas_device.device_id as int
    - scsi: hisi_sas: optimise the usage of hisi_hba.lock
    - scsi: hi...

Read more...

Changed in linux-hwe (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux-hwe (Ubuntu Zesty):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.